Workspace
A workspace object is a container of queue objects.
Workspace
ID of the workspace
Name of the workspace
URL of the workspace
Whether to automatically confirm datapoints from previously seen annotations.
Note: Please note that autopilot configuration has been moved to Queue. Option autopilot remains read-only on Workspace and represents autopilot configuration set to queues within a workspace.
Organization URL.
List of queues that belongs to the workspace
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}URL of the workspace creator. Might be null for workspaces created before April 2026.
Date of workspace creation. Might be null for workspaces created before April 2026.
User that last modified the object.
Timestamp of last modification.
List workspaces
GET api / v1 / workspaces
Retrieve all workspace objects.
curl -X GET "https://example.rossum.app/api/v1/workspaces"{
"pagination": {
"next": null,
"previous": null
},
"results": [
{
"id": 7540,
"name": "East West Trading Co",
"url": "https://example.rossum.app/api/v1/workspaces/7540",
"autopilot": true,
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199",
"https://example.rossum.app/api/v1/queues/8236"
],
"metadata": {
"some_key": "some_value"
},
"created_by": "https://example.rossum.app/api/v1/users/10775",
"created_at": "2021-04-26T10:08:03.856648Z",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}
]
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Create workspace
POST api / v1 / workspaces
Create a new workspace object.
curl -X POST "https://example.rossum.app/api/v1/workspaces" \ -H "Content-Type: application/json" \ -d '{ "name": "East West Trading Co", "organization": "https://example.rossum.app/api/v1/organizations/406" }'{
"id": 7540,
"name": "East West Trading Co",
"url": "https://example.rossum.app/api/v1/workspaces/7540",
"autopilot": true,
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199",
"https://example.rossum.app/api/v1/queues/8236"
],
"metadata": {
"some_key": "some_value"
},
"created_by": "https://example.rossum.app/api/v1/users/10775",
"created_at": "2021-04-26T10:08:03.856648Z",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the workspace
Organization URL.
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Response
Created
ID of the workspace
Name of the workspace
URL of the workspace
Whether to automatically confirm datapoints from previously seen annotations.
Note: Please note that autopilot configuration has been moved to Queue. Option autopilot remains read-only on Workspace and represents autopilot configuration set to queues within a workspace.
Organization URL.
List of queues that belongs to the workspace
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}URL of the workspace creator. Might be null for workspaces created before April 2026.
Date of workspace creation. Might be null for workspaces created before April 2026.
User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Retrieve workspace
GET api / v1 / workspaces / {workspaceID}
Get a workspace object.
curl -X GET "https://example.rossum.app/api/v1/workspaces/0"{
"id": 7540,
"name": "East West Trading Co",
"url": "https://example.rossum.app/api/v1/workspaces/7540",
"autopilot": true,
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199",
"https://example.rossum.app/api/v1/queues/8236"
],
"metadata": {
"some_key": "some_value"
},
"created_by": "https://example.rossum.app/api/v1/users/10775",
"created_at": "2021-04-26T10:08:03.856648Z",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
OK
ID of the workspace
Name of the workspace
URL of the workspace
Whether to automatically confirm datapoints from previously seen annotations.
Note: Please note that autopilot configuration has been moved to Queue. Option autopilot remains read-only on Workspace and represents autopilot configuration set to queues within a workspace.
Organization URL.
List of queues that belongs to the workspace
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}URL of the workspace creator. Might be null for workspaces created before April 2026.
Date of workspace creation. Might be null for workspaces created before April 2026.
User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Partial update workspace
PATCH api / v1 / workspaces / {workspaceID}
Update part of workspace object.
curl -X PATCH "https://example.rossum.app/api/v1/workspaces/0" \ -H "Content-Type: application/json" \ -d '{}'{
"id": 7540,
"name": "East West Trading Co",
"url": "https://example.rossum.app/api/v1/workspaces/7540",
"autopilot": true,
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199",
"https://example.rossum.app/api/v1/queues/8236"
],
"metadata": {
"some_key": "some_value"
},
"created_by": "https://example.rossum.app/api/v1/users/10775",
"created_at": "2021-04-26T10:08:03.856648Z",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the workspace
Organization URL.
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Response
OK
ID of the workspace
Name of the workspace
URL of the workspace
Whether to automatically confirm datapoints from previously seen annotations.
Note: Please note that autopilot configuration has been moved to Queue. Option autopilot remains read-only on Workspace and represents autopilot configuration set to queues within a workspace.
Organization URL.
List of queues that belongs to the workspace
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}URL of the workspace creator. Might be null for workspaces created before April 2026.
Date of workspace creation. Might be null for workspaces created before April 2026.
User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Delete workspace
DELETE api / v1 / workspaces / {workspaceID}
Delete workspace object.
Note: Please note that only empty workspaces without queues can be deleted. To delete a non-empty workspace, first delete all related queues.
curl -X DELETE "https://example.rossum.app/api/v1/workspaces/0"{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Cannot delete workspace East West Trading Co because it contains queues with ids: [...].",
"code": "conflict_referenced"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Response
No Content
No response body.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict - workspace is not empty
responseobjectThis error object can have any number of properties, and their names and types are not predefined.
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error
Update workspace
PUT api / v1 / workspaces / {workspaceID}
Update workspace object.
curl -X PUT "https://example.rossum.app/api/v1/workspaces/0" \ -H "Content-Type: application/json" \ -d '{ "name": "East West Trading Co", "organization": "https://example.rossum.app/api/v1/organizations/406" }'{
"id": 7540,
"name": "East West Trading Co",
"url": "https://example.rossum.app/api/v1/workspaces/7540",
"autopilot": true,
"organization": "https://example.rossum.app/api/v1/organizations/406",
"queues": [
"https://example.rossum.app/api/v1/queues/8199",
"https://example.rossum.app/api/v1/queues/8236"
],
"metadata": {
"some_key": "some_value"
},
"created_by": "https://example.rossum.app/api/v1/users/10775",
"created_at": "2021-04-26T10:08:03.856648Z",
"modified_by": "https://example.rossum.app/api/v1/users/10775",
"modified_at": "2021-04-26T10:08:03.856648Z"
}{
"detail": "Bad Request.",
"code": "bad_request"
}{
"detail": "Invalid token.",
"code": "authentication_failed"
}{
"detail": "Access to the requested resource is forbidden.",
"code": "access_forbidden"
}{
"detail": "Not found.",
"code": "not_found"
}{
"detail": "Conflict.",
"code": "conflict_status"
}{
"detail": "Payload Too Large.",
"code": "payload_too_large"
}{
"detail": "Request was rate limited.",
"code": "rate_limited",
"url": "https://rossum.app/api/docs/openapi/guides/overview/#rate-limiting"
}{
"detail": "Server error.",
"code": "error"
}{
"detail": "Bad Gateway.",
"code": "bad_gateway"
}{
"detail": "Service Unavailable.",
"code": "service_unavailable"
}{
"detail": "Gateway timeout.",
"code": "gateway_timeout"
}Request Body
application/json
Name of the workspace
Organization URL.
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}Response
OK
ID of the workspace
Name of the workspace
URL of the workspace
Whether to automatically confirm datapoints from previously seen annotations.
Note: Please note that autopilot configuration has been moved to Queue. Option autopilot remains read-only on Workspace and represents autopilot configuration set to queues within a workspace.
Organization URL.
List of queues that belongs to the workspace
Client data. May be used to store e.g. external system object IDs. See Metadata for more details.
Default:{}URL of the workspace creator. Might be null for workspaces created before April 2026.
Date of workspace creation. Might be null for workspaces created before April 2026.
User that last modified the object.
Timestamp of last modification.
Invalid input data.
Detail of the error
Code of the error
The username/password is invalid or token is invalid (e.g. expired).
Detail of the error
Code of the error
Insufficient permission, missing authentication, invalid CSRF token and similar issue.
Detail of the error
Code of the error
The specified resource was not found.
Detail of the error
Code of the error
Conflict
Detail of the error
Code of the error
Payload too large (especially for files uploaded).
Detail of the error
Code of the error
Request rate is too high, wait before sending more requests. See Rate Limiting for more details.
Detail of the error
Code of the error
Link to the rate limiting documentation
Server failure while processing the request.
Detail of the error
Code of the error
Invalid response from the upstream server.
Detail of the error
Code of the error
We're temporarily offline for maintenance. Please try again later.
Detail of the error
Code of the error
Upstream server could not complete the request in time.
Detail of the error
Code of the error